- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
efl::eo::detail::operations< evas::object_smart >::type< T > Struct Template Reference

## Public Member Functions
virtual bool | smart_type_check_ptr (std::string type_)
virtual bool | smart_type_check (std::string type_)
virtual void * | smart_data_get ()
virtual bool | need_recalculate_get ()
virtual void | need_recalculate_set (bool value_)
virtual void | clip_set (evas::object clip_)
virtual void | color_set (int r_, int g_, int b_, int a_)
virtual void | data_set (void *data_)
virtual efl::eina::range_list < evas::object > | members_get ()
virtual Evas_Smart * | smart_get ()
virtual void | show ()
virtual void | move (Evas_Coord x_, Evas_Coord y_)
virtual bool | callbacks_descriptions_set (const Evas_Smart_Cb_Description *descriptions_)
virtual void | callbacks_descriptions_get (const Evas_Smart_Cb_Description ***class_descriptions_, unsigned int *class_count_, const Evas_Smart_Cb_Description ***instance_descriptions_, unsigned int *instance_count_)
virtual Eina_Iterator * | iterator_new ()
virtual void | callback_description_find (std::string name_, const Evas_Smart_Cb_Description **class_description_, const Evas_Smart_Cb_Description **instance_description_)
virtual void | hide ()
virtual void | calculate ()
virtual void | add ()
virtual void | member_add (evas::object sub_obj_)
virtual void | resize (Evas_Coord w_, Evas_Coord h_)
virtual void | clip_unset ()
virtual void | changed ()
virtual void | member_del (evas::object sub_obj_)
virtual void | del ()
virtual void | attach (Evas_Smart *s_)